package de.guidemo;

import com.vaadin.incubator.dashlayout.ui.HorDashLayout;
import com.vaadin.incubator.dashlayout.ui.VerDashLayout;
import com.vaadin.terminal.ThemeResource;
import com.vaadin.ui.Embedded;
import com.vaadin.ui.GridLayout;
import com.vaadin.ui.Label;
import com.vaadin.ui.MenuBar;
import com.vaadin.ui.Panel;
import java.text.SimpleDateFormat;
import java.util.Date;

public class HeaderPanel extends Panel
{
  private VerDashLayout vLO;
  private GridLayout top;
  private Embedded leftLogo;
  private GridLayout mid;
  private Label leftMidLbl;
  private Label rightMidLbl;
  private HorDashLayout bot;
  private Label midleftLbl;
  private Label midRightLbl;
  private Label rightBotLbl;
  private MenuBar menuBar = new MenuBar();
  private MenuBar.MenuItem helpItem;
  private MenuBar.MenuItem manualItem;
  private MenuBar.Command menuCommand = new MenuBar.Command()
  {
    @Override
    public void menuSelected(MenuBar.MenuItem selectedItem)
    {
        getWindow().showNotification("Header Menubar Action " + selectedItem.getText());
    }
  };

  public HeaderPanel()
  {
    super();
    vLO = new VerDashLayout();
    vLO.setMargin(false);
    // build top row with images (grey)
    top = new GridLayout(2, 1);
    top.setWidth("100%");
    top.addStyleName("bg-grey");
    leftLogo = new Embedded(null, new ThemeResource("logo.png"));
    top.addComponent(leftLogo);
    top.setMargin(false, true, false, true);
    // build middle row (yellow)
    mid = new GridLayout(4, 1);
    mid.setWidth("100%");
    mid.addStyleName("bg-yellow");
    leftMidLbl = new Label("v3.00");
    mid.addComponent(leftMidLbl);

    midleftLbl = new Label();
    midleftLbl.setContentMode(Label.CONTENT_XHTML);
    midleftLbl.addStyleName("ta-center");
    mid.addComponent(midleftLbl);
    midRightLbl = new Label();
    midRightLbl.setContentMode(Label.CONTENT_XHTML);
    midRightLbl.addStyleName("ta-center");
    mid.addComponent(midRightLbl);

    SimpleDateFormat sdf = new SimpleDateFormat("EEEE, dd. MMMM yyyy");
    rightMidLbl = new Label(sdf.format(new Date()));
    rightMidLbl.addStyleName("ta-right");
    mid.addComponent(rightMidLbl);
    mid.setMargin(false, true, false, true);
    // build bottom row (blue)
    // Menü aufbauen
    helpItem = menuBar.addItem("Hilfe", null);
    manualItem = helpItem.addItem("Handbuch", menuCommand);
    // Menü Aufbau beendet
    rightBotLbl = new Label("Company Doro");
    rightBotLbl.addStyleName("ta-right");
    rightBotLbl.addStyleName("c-white");

    bot = new HorDashLayout();
    bot.setWidth("100%");
    bot.addStyleName("bg-blue");
    bot.setSpacing(true);
//    bot.setMargin(false, true, false, true);
    bot.addStyleName("padright");
    bot.addComponent(menuBar);
    bot.addComponent(rightBotLbl);
    bot.setExpandRatio(menuBar, 1);
    bot.setExpandRatio(rightBotLbl, 5);

    vLO.addComponent(top);
    vLO.addComponent(mid);
    vLO.addComponent(bot);
    setContent(vLO);
  }
}
